Subject: bug#50679: 28.0.50; outline-minor-mode-cycle should be able to only cycle at the begining of a line

From: Augusto Stoffel <[email-masked]>
Date: Wed, 22 Sep 2021 18:30:51 +0200

On Wed, 22 Sep 2021 at 19:09, Juri Linkov <[email-masked]> wrote:

>> In my setup those keys only apply at BOL in a heading line.  I never
>> type anything there.
>>
>> TAB for reindenting might be a bit trickier.  Apparently I never try to
>> reindent a heading line when point is at BOL, because I never thought
>> about a possible conflict, but I guess I would type SPC TAB in that
>> case.
>
> This is exactly what I do every time, i.e. first I type TAB to indent,
> but it hides the body, then I type again TAB to unhide the body
> to revert the mistake, then type SPC TAB to workaround this annoyance.

All right, I didn't think this would be a problem for others, but
obviously it is.  In this case (and also taking the diff-mode issue into
account) I guess I'll take back my previous comments.

>> in exchange of allowing _any_ shortcut key with minimal
>> interference.  Org mode already does that with a simple customization,
>> (setq org-use-speed-commands t), so I don't think it would be too
>> surprising for most users.
>
> Adding more keys to this keymap has more problems.  For example,
> in diff-mode TAB navigates to the next hunk, but with outline-minor-mode
> TAB on the first character in a diff-mode buffer cycles the outline,
> so another available key 'n' should be typed to navigate to the next hunk.
> We can't sacrifice this key for outline-next-visible-heading,
> because no more keys will remain for diff-hunk-next.